// http://akelpad.sourceforge.net/forum/viewtopic.php?p=4548#4548
// Description(1033): Open URL or Site which was got from link or from selected text
// Description(1049): Открыть ссылку или сайт, определённый из ссылки или выделения
// Version: 2.4 (2015.04.01)
// Author: VladSh
// 
// Arguments:
//		siteOpen:
//			= [false]	-	будет откыта ссылка
//			= true		-	будет открыт сайт, взятый из ссылки
//		cmdLine:
//			= без параметра либо пустая строка - открытие в браузере по умолчанию
//			= iexplore.exe - открытие в IE
//
// Usage:
//		-"Перейти к сайту (в браузере по умолчанию)" Call("Scripts::Main", 1, "URLOpen.js", `-url="%u" -siteOpen=true`)
// 	-"Открыть выделенный URL в IE" Call("Scripts::Main", 1, "URLOpen.js", `-cmdLine="iexplore.exe"`) - для выделенного текста

var url = AkelPad.GetArgValue("url", AkelPad.GetSelText());
if (!url) WScript.Quit();

var cmdLine = AkelPad.GetArgValue("cmdLine", 'explorer.exe');

if (AkelPad.GetArgValue("siteOpen", false)) {
	//определяем адрес сайта
	var slashClose = url.indexOf('/', url.indexOf(':/', 0) + 3);
	if (slashClose != -1)
		url = url.slice(0, slashClose);
}

if (cmdLine != "iexplore.exe") {
	var WshShell = new ActiveXObject("WScript.Shell");
	WshShell.Exec(cmdLine + ' "' + url + '"');
}
else {
	var AppShell = new ActiveXObject("shell.application");
	AppShell.ShellExecute(cmdLine, url);
}